PG_VERIFY_CHECKSUMS(1)

NAME
pg_verify_checksums - verify data checksums in an offline PostgreSQL database cluster

SYNOPSIS

pg_verify_checksums [option] [[-D] datadir]

DESCRIPTION

pg_verify_checksums verifies data checksums in a PostgreSQL cluster.

OPTIONS

The following command-line options are available:

-r relfilenode
    Only validate checksums in the relation with specified relfilenode.

-d
    Enable debug output. Lists all checked blocks and their checksum.

-V
--version
    Print the pg_verify_checksums version and exit.

-?
--help
    Show help about pg_verify_checksums command line arguments, and exit.

NOTES

The cluster must be shut down cleanly before running pg_verify_checksums.